# $Revision: 1.102.4.10 $, $Date: 2011/09/01 06:50:23 $
Summary:	Screen - Manages multiple sessions on one tty
Summary(de.UTF-8):	Screen - Verwaltet mehrere Sitzungen an einem tty
Summary(es.UTF-8):	Screen - Administra múltiples sesiones en un tty
Summary(fr.UTF-8):	screen - gère plusieurs sessions sur un seul terminal
Summary(pl.UTF-8):	Screen - Program zarządzający sesjami na jednym terminalu
Summary(pt_BR.UTF-8):	Screen - Gerencia múltiplas sessões em um tty
Summary(ru.UTF-8):	Менеджер экрана, поддерживающий несколько логинов с одного терминала
Summary(tr.UTF-8):	Bir uçbirimde birden fazla oturumu düzenler
Summary(uk.UTF-8):	Менеджер екрану, що підтримує кілька логінів з одного терміналу
Name:		screen
Version:	4.0.3
Release:	18
License:	GPL
Group:		Applications/Terminal
Source0:	ftp://ftp.uni-erlangen.de/pub/utilities/screen/%{name}-%{version}.tar.gz
# Source0-md5:	8506fd205028a96c741e4037de6e3c42
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	236166e774cee788cf594b05dd1dd70d
Source2:	%{name}.pamd
Source3:	screenrc
Patch0:		%{name}-tty.patch
Patch1:		%{name}-compat21.patch
Patch2:		%{name}-manual.patch
Patch3:		%{name}-ia64.patch
Patch4:		%{name}-info.patch
Patch5:		%{name}-debian_fixed.patch
Patch6:		%{name}-nolibtermcap.patch
Patch7:		%{name}-no_hardcoded_term_sequences.patch
Patch8:		%{name}-home_etc.patch
Patch9:		%{name}-no-libs.patch
Patch10:	%{name}-varargs.patch
Patch11:	%{name}-inputline-size.patch
Patch12:	%{name}-screenrc.patch
Patch13:	%{name}-osc.patch
Patch14:	%{name}-comment.patch
Patch15:	%{name}-statusline-encoding.patch
Patch16:	%{name}-ncursesw.patch
URL:		http://www.gnu.org/software/screen/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pam-devel
BuildRequires:	texinfo
BuildRequires:	utempter-devel
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Screen is a program that allows you to have multiple logins on one
terminal. It is useful in situations where you are telnetted into a
machine or connected via a dumb terminal and want more than just one
login.

%description -l de.UTF-8
Screens ist ein Programm, das Ihnen erlaubt, sich auf einem Terminal
mehrfach einzuloggen - was nützlich sein kann, wenn Sie über ein
dummes Terminal eine Telnetverbindung zu einem Rechner haben und mehr
als ein Login benötigen.

%description -l es.UTF-8
Screen es un programa que permite que tengas múltiples logins en un
terminal. Es útil en situaciones donde estás usando telnet en una
máquina o conectado vía un terminal dumb y quiera más que apenas un
login.

%description -l fr.UTF-8
Screen est un programme permettant plusieurs connexions sur un
terminal. Il est utile pour ouvrir plusieurs sessions à la fois, si
vous voulez ouvrir une session telnet sur une autre machine et voulez
plus d'une connexion.

%description -l pl.UTF-8
Screen jest programem, który umożliwia otworzenie wielu sesji na
jednym terminalu. Jest to bardzo przydatne, przy połączeniach z
terminali nie umożliwiających otwarcia kilku sesji w systemie. Screen
umożliwia ponadto powrót do otwartych sesji w przypadku przerwania
połączenia z terminalem.

%description -l pt_BR.UTF-8
Screen é um programa que permite que você tenha múltiplos logins em um
terminal. Ele é útil em situações onde você está usando telnet em uma
máquina ou conectado via um terminal dumb e quer mais do que apenas um
login.

%description -l ru.UTF-8
Утилита screen позволяет иметь несколько сессий на одном терминале.
Screen полезен пользователям, которые заходят на машину по сети или
через dumb-терминал, но хотят иметь более одной сессии с этой машиной.

%description -l tr.UTF-8
Screen, aynı uçbirimde birden fazla oturum olanağı sağlayan bir
programdır. Bir makinaya telnet programı ile ya da programlanamaz bir
uçbirim üzerinden bağlantı kurduğunuz durumlarda kullanışlıdır.

%description -l uk.UTF-8
Утиліта screen дозволяє мати декілька сесій на одному терміналі.
Screen корисний користувачам, які заходять на машину по мережі або
через dumb-термінал, але хочуть мати більше одної сесії з цією
машиною.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
# DON'T ENABLE IT UNLESS YOU REALLY FIX IT
# (it's heavily broken - note that some sequences should be get for
# $TERM before running screen instance, and others for TERM=screen!)
###%patch7 -p1
#%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p0
%patch15 -p0
%patch16 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-sys-screenrc=%{_sysconfdir}/screenrc \
	--enable-pam \
	--enable-colors256 \
	--enable-rxvt_osc \
	--disable-socket-dir

for file in *.dist; do
	cp -f $file ${file%.dist}
done

%{__make} \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -DMAXWIN=128 -I/usr/include/ncursesw"

cd doc
rm -f screen.info*
makeinfo screen.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/screen/utf8encodings} \
	$RPM_BUILD_ROOT{/etc/{skel,pam.d},%{_mandir}/{,pl}/man1,%{_infodir}}

install screen			$RPM_BUILD_ROOT%{_bindir}
install doc/screen.1		$RPM_BUILD_ROOT%{_mandir}/man1
install doc/screen.info*	$RPM_BUILD_ROOT%{_infodir}

install etc/etcscreenrc $RPM_BUILD_ROOT%{_sysconfdir}/screenrc
echo -e "\n\n" >> $RPM_BUILD_ROOT%{_sysconfdir}/screenrc
cat %{SOURCE3} >> $RPM_BUILD_ROOT%{_sysconfdir}/screenrc

install utf8encodings/*		$RPM_BUILD_ROOT%{_datadir}/screen/utf8encodings

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
install %{SOURCE2}		$RPM_BUILD_ROOT/etc/pam.d/screen
rm -f $RPM_BUILD_ROOT%{_mandir}/README.screen-non-english-man-pages

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc NEWS README ChangeLog doc/{FAQ,README.DOTSCREEN} etc/screenrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/screenrc
%attr(755,root,root) %{_bindir}/screen
%{_datadir}/screen
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/screen.info*
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: screen.spec,v $
Revision 1.102.4.10  2011/09/01 06:50:23  arekm
- rel 18

Revision 1.102.4.9  2011/02/15 20:34:37  arekm
- rel 17; use term screen-256color (disabled by default anyway) instead of xterm-hacky way

Revision 1.102.4.8  2011/02/15 17:56:55  arekm
- rel 16; link with wide ncurses

Revision 1.102.4.7  2011/02/14 09:23:17  arekm
- rel 15

Revision 1.102.4.6  2010/10/08 08:52:50  arekm
- rel 13; use terminal emulator scrollback buffer

Revision 1.102.4.5  2010/10/08 08:40:43  arekm
- rel 12; typo

Revision 1.102.4.4  2010/10/08 08:32:20  arekm
- rel 11

Revision 1.102.4.3  2010/10/08 08:31:53  arekm
- append our config to dist one; use rpmcppflags, too

Revision 1.102.4.2  2010/10/08 08:28:56  arekm
rel 10; drop screenrc from skel; include it in /etc/screenrc

Revision 1.102.4.1  2010/04/16 04:27:51  arekm
- rel 9

Revision 1.102  2009/02/19 07:33:32  arekm
- release 8

Revision 1.101  2008/11/26 13:21:16  glen
- release 7

Revision 1.100  2008/11/26 13:20:43  glen
- add %e escape patch; rel 6

Revision 1.99  2008/06/29 16:09:48  shadzik
- add patch14
- fixes build with new gcc/glibc

Revision 1.98  2008/03/21 21:45:33  wiget
- added osc.patch (support OSC 10 and 11 for changing default colours for xterm)
- enable rxvt OSC support
- release 5

Revision 1.97  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.96  2007-09-05 14:17:07  baggins
- rel 4

Revision 1.95  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.94  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.93  2006/11/01 23:33:32  glen
- merged screen-status-bar.patch into screen-screenrc.patch

Revision 1.92  2006/11/01 23:21:42  glen
- simplify user screenrc
- useful options to system screenrc

Revision 1.91  2006/10/27 15:41:11  glen
- better windowlist binding by default; rel 3

Revision 1.90  2006/10/26 20:50:49  glen
- 128 windows by default instead of 40; rel 2

Revision 1.89  2006/10/26 19:55:09  qboosh
- updated to 4.0.3 (fixes CVE-2006-4573)
- updated nolibtermcap to prefer libtinfo (fixes build with --as-needed)

Revision 1.88  2006/04/03 12:23:12  megabajt
- release 6 for Th

Revision 1.87  2006/02/22 22:41:32  glen
- larger inputline patch (you're still limited by your termnal width)
- statusbar patch applied unconditionally
- rel 5

Revision 1.86  2005/12/19 21:49:02  qboosh
- unified

Revision 1.85  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.84  2005/10/12 14:16:03  mguevara
- rel 4 ver 4.0.2
- new patch 11: screen-status-bar.patch which adds a default
  status bar (see caption comments in /etc/screenrc) - bcond

Revision 1.83  2004/02/27 09:28:21  qboosh
- added varargs patch (fix for vsprintf detection; fixes SEGVs on alpha)
- release 3

Revision 1.82  2004/02/03 10:07:56  qboosh
- release 2 for Ac (1 goes to ra/updates/security)

Revision 1.81  2003/12/06 20:38:22  qboosh
- updated to 4.0.2, added URL
- updated info patch, removed obsolete screenrc patch

Revision 1.80  2003/11/07 18:12:19  qboosh
- BR: automake (noticed by Tomasz Mateja)

Revision 1.79  2003/11/04 09:07:24  djrzulf
- added patch for screenrc file,
- Release 3,

Revision 1.78  2003/09/26 14:25:01  baggins
- release 2

Revision 1.77  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.76  2003/09/21 23:12:47  adamg
- updated to 4.0.1

Revision 1.75  2003/09/15 06:36:33  misi3k
- updated to 4.0.0

Revision 1.74  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.73  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.72  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.71  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.70  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.69  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/03/25 18:21:17  misiek
- updated to 3.9.15

Revision 1.67  2002/11/02 14:05:17  qboosh
- fixed info patch, release 3

Revision 1.66  2002/10/05 08:51:32  qboosh
- removed obsolete acfix and setreuid-bug patches
- removed bogus BR: readline-devel

Revision 1.65  2002/10/02 09:39:51  qboosh
- disabled heavily broken patch7; release 2, STBR ASAP

Revision 1.64  2002/10/01 13:41:03  krolik
- updated to new 3.9.13 version
- STBR

Revision 1.63  2002/07/30 12:49:34  blues
- release 7
- added BR
- STBR - rebuild with new readline

Revision 1.62  2002/07/02 12:31:48  blues
- removed dead symlink - added real docs instead

Revision 1.61  2002/06/29 11:29:29  kloczek
- bump to release 6: merge translatins tron KSI and Conectiva.

Revision 1.60  2002/06/28 21:20:50  qboosh
- added missing utf8encodings files
- direntry fix in info patch
- enabled PAM support (disabled by upgrade)
- no-libs patch: don't link with libelf and libutil - not necessary
- setreuid-bug patch: FindEncodings() wanted to setreuid to uid taken from
  uninitialized global variable (==0)
- pamd file must have 644 mode to work

Revision 1.59  2002/06/19 12:22:01  blues
- 3.9.11 (rel. 0.9)  - BTS#234
- DESTDIR patch is out, some updated
- home_etc is commented out. Should it be before 1.0 ?
- STBR for test

Revision 1.58  2002/06/03 20:13:07  qboosh
- new %doc, acfix patch needed for autoconf 2.53

Revision 1.57  2002/06/01 23:37:43  orzech
- home_etc.patch
- rel 6

Revision 1.56  2002/05/21 23:14:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.55  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/30 18:38:15  alchemyx
- ugly words back again. sorry.

Revision 1.52  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.51  2002/01/18 02:14:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.50  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.49  2001/11/18 21:16:10  ankry
- added ja man page and added %files entry for pl man page
- release 5

Revision 1.48  2001/10/01 09:20:37  qboosh
- BuildRequires: autoconf

Revision 1.47  2001/09/29 12:54:34  misiek
- updated to 3.9.10

Revision 1.46  2001/08/18 01:22:58  baggins
- release 4
- commented out no_hardcoded_term_sequences, it fuck up too many things

Revision 1.45  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.43  2001/07/23 11:08:22  kloczek
- release 3,
- added no_hardcoded_term_sequences patch
  Remove *ALL* hardcoding term sequences. After remove all this stupid things
  pine withouth harcode sequences also now work correctly.

Revision 1.42  2001/06/11 20:35:51  qboosh
- nolibtermcap patch: check for ncurses before libtermcap
- release 2

Revision 1.41  2001/06/11 01:55:28  kloczek
- updated to 3.9.9,
- new info patch (merged also texinfo_fixes patch into info patch),
- new debian patch and updated DESTDIR patch.

Revision 1.40  2001/05/21 19:57:53  baggins
- release 6
- added /etc/skel/.screenrc to %files

Revision 1.39  2001/04/30 16:05:30  kloczek
- added using %{rpmcflags} macro.

Revision 1.38  2001/01/25 20:03:49  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:47  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/11 01:14:35  marcus
- added --disable-socket-dir to prevent create /tmp/uscreens unsecure directory
  with 0777 permission insted private ~/.screen directories

Revision 1.35  2000/12/03 11:38:12  misiek
- pam support && misc fixes; release 4

Revision 1.34  2000/10/20 19:32:20  kloczek
- release 3,
- added pl man page for screen(1).

Revision 1.33  2000/10/12 05:19:42  kloczek
- release 2: use new rpm automation.

Revision 1.32  2000/09/18 00:29:42  kloczek
- last moment cleanups.

Revision 1.31  2000/09/18 00:18:20  kloczek
- spec adapterized,
- info patch is back,
- added texinfo_fixes patch.

Revision 1.30  2000/09/08 17:39:48  kravietz
- fixed update to 3.9.8
- some patches were NOT applied, because of excessive rejections,
  this includes screen-home_etc.patch (I don't know what it does) and
  screen.texinfo patches

Revision 1.29  2000/09/08 16:52:09  kravietz
- updated to 3.9.8
  this release includes security fixes in screen, however the weaknesses
  only affects systems where screen is installed as SUID (not the PLD case
  luckily)

Revision 1.28  2000/07/13 23:21:54  baggins
- release 9
- rebuild with ncurses 5.1

Revision 1.27  2000/06/22 22:05:13  kloczek
- update to 3.9.5 (release 8 for allow upgrade from RH 6.2),
- merged patches from rawhide,
- spec adapterized,
- new Source url.

Revision 1.26  2000/06/09 07:23:59  kloczek
- added using %{__make} macro.

Revision 1.25  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.24  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.23  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.21  2000/02/02 20:51:27  yossa
- locate screenrc using $CONFIG_DIR

Revision 1.20  1999/12/20 09:28:26  misiek
- added ncurses patch

Revision 1.19  1999/12/05 13:04:33  kloczek
- updated to 3.9.4,
- build against ncurses 5.0 (BR#122),
- updated patches list,
- updated Source url,
- more rpm macros.

Revision 1.18  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.17  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.16  1999/07/14 16:10:49  baggins
- gziping docs
- FHS 2.0
- macros

Revision 1.15  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
